//------------------------------------------------------------------
//                                                                  
// Module      : UserEJBBeanHome.java                               
//                                                                  
// Description : CandleNet eBP JMS Outbound toolkit Sample EJB      
//                                                                  
//------------------------------------------------------------------
//                                                                  
// Copyright Candle Corporation 2001,2003
//                                                                  
//------------------------------------------------------------------
//                                                                  
// Details:                                                         
//    KxoOutbound toolkit Sample User EJB Interface                        
//                                                                  
// Interface used to create new UserEJB session beans.              
//  @see com.ibm.ejb.cb.samples.hello.tier2.UserEJB                 
//                                                                  
//------------------------------------------------------------------
package com.candle.roma.kxo.outbound.sample;

import javax.ejb.EJBHome;

public interface UserEJBHome extends EJBHome {

  /**
    Creates a new UserEJB session bean.

    @return The newly-created UserEJB session bean.
    @exception java.rmi.RemoteException Thrown when the request
               fails due to a communications problem.
    @exception javax.ejb.CreateException Thrown when the request
               fails due to a creation problem.
  */
  public UserEJB create() throws java.rmi.RemoteException,
                               javax.ejb.CreateException;

}
