<%

'/*********************************************************************
' * $Id: kxmxhfb.inc,v 1.16 2004/09/24 20:07:08 e_vvb Exp $     
' * $Source: /romacvs/root/roma/src/kxm/kxmxhf/kxmxhfb.inc,v $
' *********************************************************************
' * Description: ActiveX Message Handling ASP VBScript include file
' *********************************************************************
' *                                                                    
' * Copyright 1999-2003, Candle Corporation, a California                   
' * corporation.  All rights reserved.                                 
' * International copyright secured.                                   
' *                                                                    
' * This material is proprietary to Candle Corporation and is not to   
' * be reproduced, used, or disclosed except in accordance with        
' * program licenses or upon written authorization of Candle           
' * Corporation.                                                       
' *                                                                    
' ********************************************************************/
'

' Range unlimited maximum value 
Const KXMRANGE_UNLIMITED = -1

' Date status 
Const KXMDATE_NONE       = 0
Const KXMDATE_DATE       = 1
Const KXMDATE_TIME       = 2
Const KXMDATE_DATETIME   = 3
Const KXMDATE_GYEAR      = 4
Const KXMDATE_GYEARMONTH = 5
Const KXMDATE_GMONTHDAY  = 6
Const KXMDATE_GDAY       = 7
Const KXMDATE_GMONTH     = 8

' Field types
Const KXMFIELD_TYPE_STRING   = 1
Const KXMFIELD_TYPE_NUMBER   = 2
Const KXMFIELD_TYPE_BINARY   = 3
Const KXMFIELD_TYPE_XMLELEM  = 4
Const KXMFIELD_TYPE_XMLATTR  = 5
Const KXMFIELD_TYPE_DATE     = 6
Const KXMFIELD_TYPE_GROUP    = 7
Const KXMFIELD_TYPE_BOOL     = 8
Const KXMFIELD_TYPE_QNAME    = 9
Const KXMFIELD_TYPE_DURATION = 10

' Field numeric types
Const KXMFIELD_NTYPE_NONE    = 0
Const KXMFIELD_NTYPE_UINT8   = 100
Const KXMFIELD_NTYPE_INT8    = 101
Const KXMFIELD_NTYPE_UINT16  = 102
Const KXMFIELD_NTYPE_INT16   = 103
Const KXMFIELD_NTYPE_UINT32  = 104
Const KXMFIELD_NTYPE_INT32   = 105
Const KXMFIELD_NTYPE_DECIMAL = 106
Const KXMFIELD_NTYPE_INTEGER = 107
Const KXMFIELD_NTYPE_DOUBLE  = 108
Const KXMFIELD_NTYPE_UINT64  = 109
Const KXMFIELD_NTYPE_INT64   = 110
Const KXMFIELD_NTYPE_FLOAT   = 111

' Field date types
Const KXMFIELD_DTYPE_NONE       = 0
Const KXMFIELD_DTYPE_DATE       = 1
Const KXMFIELD_DTYPE_TIME       = 2
Const KXMFIELD_DTYPE_DATETIME   = 3
Const KXMFIELD_DTYPE_GYEAR      = 4
Const KXMFIELD_DTYPE_GYEARMONTH = 5
Const KXMFIELD_DTYPE_GMONTHDAY  = 6
Const KXMFIELD_DTYPE_GDAY       = 7
Const KXMFIELD_DTYPE_GMONTH     = 8

' Field search options 
Const KXMFIELD_EXACT  = 0
Const KXMFIELD_SEARCH = 1
Const KXMFIELD_UNIQUE = 2

' Obsolete message creation options 
Const KXMMESSAGE_STANDALONE  = 1
Const KXMMESSAGE_MDR         = 2
Const KXMMESSAGE_ANY         = 8
Const KXMMESSAGE_FORMAT_NAME = 16

' Obsolete message conversion options 
Const KXMMESSAGE_TO_XML    = 1
Const KXMMESSAGE_TO_FORMAT = 2
Const KXMMESSAGE_BY_MAP    = 4

' Error types 
Const KXMERROR_ET_CRITICAL  = 1
Const KXMERROR_ET_ERROR     = 2
Const KXMERROR_ET_TRANSIENT = 4
Const KXMERROR_ET_API       = 8

' Error return codes
Const KXMERROR_KXMRC_OK                          = 0
Const KXMERROR_KRRRC_NOT_ACCESSIBLE              = -2147200503
Const KXMERROR_KRRRC_INVALID_OBJECT              = -2147200502
Const KXMERROR_KRRRC_UNKNOWN_OBJECT              = -2147200501
Const KXMERROR_KRRRC_OBJECT_ALREADY_EXISTS       = -2147200500
Const KXMERROR_KRRRC_DIRECTORY_UNAVAILABLE       = -2147200499
Const KXMERROR_KRRRC_GROUPITEM_DUPLICATED        = -2147200497
Const KXMERROR_KRRRC_GROUPITEM_UNKNOWN           = -2147200496
Const KXMERROR_KRRRC_ENV_MISSING                 = -2147200495
Const KXMERROR_KRRRC_ENV_INVALID                 = -2147200494
Const KXMERROR_KRRRC_OUT_OF_MEMORY               = -2147200493
Const KXMERROR_KRRRC_INVALID_WCHAR               = -2147200492
Const KXMERROR_KRRRC_INVALID_MBCHAR              = -2147200491
Const KXMERROR_KRRRC_INVALID_IDSTR               = -2147200490
Const KXMERROR_KRRRC_DETACHED_OBJECT             = -2147200489
Const KXMERROR_KRRRC_INTERNAL_ERROR              = -2147200484
Const KXMERROR_KRRRC_API_ERROR                   = -2147200483
Const KXMERROR_KRRRC_NOT_IMPLEMENTED             = -2147200482
Const KXMERROR_KRRRC_RDFPARSER_ERROR             = -2147200481
Const KXMERROR_KRRRC_RDFLOADER_ERROR             = -2147200480
Const KXMERROR_KRRRC_UNBOUND_REF                 = -2147200479
Const KXMERROR_KRRRC_GROUPITEM_INVINDEX          = -2147200478
Const KXMERROR_KRRRC_BAD_CAST                    = -2147200477
Const KXMERROR_KRRRC_MISSING_ROMA_HOME           = -2147200476
Const KXMERROR_KRRRC_NLS_ERROR                   = -2147200475
Const KXMERROR_KRRRC_SHLIB_ERROR                 = -2147200474
Const KXMERROR_KRRRC_INVALID_CFG                 = -2147200473
Const KXMERROR_KRRRC_BAD_PARAM                   = -2147200472
Const KXMERROR_KRRRC_OBJMETHOD_DUPLICATED        = -2147200453
Const KXMERROR_KRRRC_OBJMETHOD_UNKNOWN           = -2147200452
Const KXMERROR_KRRRC_OBJMETHOD_INVINDEX          = -2147200451
Const KXMERROR_KRRRC_STL_ERROR                   = -2147200103
Const KXMERROR_KRRRC_STL_ASSERT                  = -2147200102
Const KXMERROR_KRRRC_STANZA_NOT_SUPPORTED        = -2147200403
Const KXMERROR_KRRRC_STANZA_INVALID_LDAP         = -2147200402
Const KXMERROR_KRRRC_STANZA_INVALID_PORT         = -2147200401
Const KXMERROR_KRRRC_STANZA_ALREADY_EXISTS       = -2147200400
Const KXMERROR_KRRRC_STANZA_BASE_DN_NOT_FOUND    = -2147200399
Const KXMERROR_KRRRC_NOT_CONFIGURED              = -2147200398
Const KXMERROR_KRRRC_STANZA_GENERAL_ERROR        = -2147200397
Const KXMERROR_KRRRC_STANZA_INVCONTEXT           = -2147200396
Const KXMERROR_KRRRC_STANZA_INVALID_LDIF         = -2147200395
Const KXMERROR_KRRRC_DOM_API_ERROR               = -2147200203
Const KXMERROR_KRRRC_DOM_ROOT_ELEMENT_NOT_EXISTS = -2147200202
Const KXMERROR_KRRRC_DOM_NOT_ASCII_SYMBOL        = -2147200201
Const KXMERROR_KRRRC_DOM_INVALID_XML_DOCUMENT    = -2147200200
Const KXMERROR_KRRRC_DOM_WRONG_CPID_POSITION     = -2147200199
Const KXMERROR_KRRRC_DOM_WRONG_CPID              = -2147200198
Const KXMERROR_KXMRC_OUT_OF_MEMORY               = -2147200493
Const KXMERROR_KXMRC_BUFFER_TOO_SMALL            = -2147201504
Const KXMERROR_KXMRC_INTERNAL_ERROR              = -2147200484
Const KXMERROR_KXMRC_INVALID_MAP                 = -2147201503
Const KXMERROR_KXMRC_MAP_ERROR                   = -2147201502
Const KXMERROR_KXMRC_DOC_TYPE_MISMATCH           = -2147201501
Const KXMERROR_KXMRC_RESTRICTION_FAILED          = -2147201500
Const KXMERROR_KXMRC_PARSE_ERROR                 = -2147201499
Const KXMERROR_KXMRC_FORMAT_ERROR                = -2147201498
Const KXMERROR_KXMRC_MULTIPLE_MAPS               = -2147201497
Const KXMERROR_KXMRC_CORRUPTED_DATA              = -2147201490
Const KXMERROR_KXMRC_FORMAT_MISMATCH             = -2147201489
Const KXMERROR_KXMRC_INVALID_TRANHEAD            = -2147201488
Const KXMERROR_KXMRC_FUNCLIB_ERROR               = -2147201487
Const KXMERROR_KXMRC_NO_MATCHED_FIELDS           = -2147201486
Const KXMERROR_KXMRC_UNSUPPORTED_TYPE            = -2147201485
Const KXMERROR_KXMRC_MDR_NOT_AVAILABLE           = -2147201484
Const KXMERROR_KXMRC_CANT_SET_FIELD              = -2147201483
Const KXMERROR_KXMRC_OS_ERROR                    = -2147201482
Const KXMERROR_KXMRC_UNKNOWN_XMLSCHEMA_TYPE      = -2147201481
Const KXMERROR_KXMRC_ARRAY_TOO_SMALL             = -2147201304
Const KXMERROR_KXMRC_CONVERSION_IMPOSSIBLE       = -2147201303
Const KXMERROR_KXMRC_CONVERSION_FAILED           = -2147201302
Const KXMERROR_KXMRC_INVALID_INDEX               = -2147201301
Const KXMERROR_KXMRC_EMPTY_FIELD                 = -2147201300
Const KXMERROR_KXMRC_UNKNOWN_FIELD               = -2147201299
Const KXMERROR_KXMRC_NOT_ARRAY                   = -2147201298
Const KXMERROR_KXMRC_NOT_GROUP                   = -2147201297
Const KXMERROR_KXMRC_NOT_XML_ELEMENT             = -2147201296
Const KXMERROR_KXMRC_FIELD_NOT_UNIQUE            = -2147201295
Const KXMERROR_KXMRC_INVALID_DATETIME            = -2147201294
Const KXMERROR_KXMRC_NO_DEFAULT                  = -2147201293
Const KXMERROR_KXMRC_NOT_PRIMITIVE               = -2147201292
Const KXMERROR_KXMRC_KXC_ERROR                   = -2147201291
Const KXMERROR_KXMRC_NOT_XML_FIELD               = -2147201290
Const KXMERROR_KXMRC_XMLNS_DISABLED              = -2147201289
Const KXMERROR_KXMRC_INVALID_TIMEZONE            = -2147201288
Const KXMERROR_KXMRC_INVALID_DURATION            = -2147201287
Const KXMERROR_KXMRC_INVALID_QNAME               = -2147201286
Const KXMERROR_KXMRC_INVALID_FIELD               = -2147201204
Const KXMERROR_KXMRC_INVALID_MESSAGE             = -2147201203
Const KXMERROR_KXMRC_INVALID_REPOSITORY          = -2147201202
Const KXMERROR_KXMRC_INVALID_FIELD_NAME          = -2147201201
Const KXMERROR_KXMRC_INVALID_XML_FILTER          = -2147201200
Const KXMERROR_KXMRC_READ_ONLY                   = -2147201199
Const KXMERROR_KXMRC_INVALID_FORMAT_NAME         = -2147201198
Const KXMERROR_KXMRC_INVALID_STRING              = -2147201197
Const KXMERROR_KXMRC_INVALID_TYPE                = -2147201196
Const KXMERROR_KXMRC_INVALID_DATALEN             = -2147201195
Const KXMERROR_KXMRC_INVALID_TYPEID              = -2147201194
Const KXMERROR_KXMRC_DEFAULT_VALUE               = -2147201193
Const KXMERROR_KXMRC_INVALID_PARAM               = -2147201192
Const KXMERROR_KXMRC_MAP_NOT_FOUND               = -2147201191
Const KXMERROR_KXMRC_NOT_APPLICABLE              = -2147201190
Const KXMERROR_KXMRC_NOT_SUPPORTED               = -2147201189
Const KXMERROR_KXMRC_API_MISUSE                  = -2147201188,
Const KXMERROR_KXMRC_COUNT_TOO_BIG               = -2147201104
Const KXMERROR_KXMRC_INVALID_HANDLE              = -2147201103
Const KXMERROR_KXMRC_INVALID_OPTIONS             = -2147201102
Const KXMERROR_KXMRC_INVALID_POINTER             = -2147201101
Const KXMERROR_KXMRC_INVALID_BUFFER              = -2147201100
Const KXMERROR_KXMRC_LIB_NOT_INITIALIZED         = -2147201099
Const KXMERROR_KXMRC_LIB_ALREADY_INITIALIZED     = -2147201098
Const KXMERROR_KXMRC_INVALID_ARRAY_VALUE         = -2147201097
Const KXMERROR_KXMRC_INVALID_FIELD_INFO          = -2147201096
Const KXMERROR_KXMRC_INVALID_MESSAGE_INFO        = -2147201095
Const KXMERROR_KXMRC_INVALID_COUNT               = -2147201094
Const KXMERROR_KXMRC_INVALID_ARRAYVAL            = -2147201093
Const KXMERROR_KXMRC_PARENT_IS_ABSENT            = -2147201092
Const KXMERROR_KXMRC_INVALID_XMLCHAR             = -2147201193
Const KXMERROR_KXMRC_CONV_NOT_INSTALLED          = -2147200803
Const KXMERROR_KXMRC_NO_WRITE                    = -2147200802
Const KXMERROR_KXMRC_UNEXPECTED_CHANGES          = -2147201004
Const KXMERROR_KXMRC_LDAP_WRONG_CONFIG           = -2147201003
Const KXMERROR_KXMRC_CANNOT_LOAD_ILS             = -2147200904

' Byte order
Const KXMENCODING_BYTEORDER_DEFAULT = 0
Const KXMENCODING_BYTEORDER_NATIVE  = 1
Const KXMENCODING_BYTEORDER_LE      = 2
Const KXMENCODING_BYTEORDER_BE      = 3

' Field formats
Const KXMFIELD_FORMAT_NONE          = 0
Const KXMFIELD_FORMAT_BINARY_BASE64 = 1
Const KXMFIELD_FORMAT_BINARY_HEX    = 2

' Message creation options
Const KXMMSGCREATEOPTIONS_STANDALONE          = 1
Const KXMMSGCREATEOPTIONS_MDR                 = 2
Const KXMMSGCREATEOPTIONS_ANY                 = 8
Const KXMMSGCREATEOPTIONS_FORMAT_NAME         = 16
Const KXMMSGCREATEOPTIONS_HANDLE_NAMESPACES   = 64
Const KXMMSGCREATEOPTIONS_OLD_TEXT_FORMAT     = 128
Const KXMMSGCREATEOPTIONS_PRESERVE_XML_SPACES = 256
Const KXMMSGCREATEOPTIONS_DISABLE_NAMESPACES  = 512
Const KXMMSGCREATEOPTIONS_HEX_XML_FORMAT  		= 1024
Const KXMMSGCREATEOPTIONS_SCALAR_AS_ARRAY  		= 2048

' Message extraction options
Const KXMMSGWRITEOPTIONS_NO_MARGINS = 2

' Message conversion options
Const KXMMSGCONVERTOPTIONS_TO_XML              = 1
Const KXMMSGCONVERTOPTIONS_TO_FORMAT           = 2
Const KXMMSGCONVERTOPTIONS_BY_MAP              = 4
Const KXMMSGCONVERTOPTIONS_MAP_REQUIRED        = 8
Const KXMMSGCONVERTOPTIONS_HANDLE_NAMESPACES   = 64
Const KXMMSGCONVERTOPTIONS_OLD_TEXT_FORMAT     = 128
Const KXMMSGCONVERTOPTIONS_DISABLE_NAMESPACES  = 512
Const KXMMSGCONVERTOPTIONS_HEX_XML_FORMAT  		 = 1024
Const KXMMSGCONVERTOPTIONS_SCALAR_AS_ARRAY  	 = 2048

' Time zone types
Const KXMTIMEZONE_TYPE_UNKNOWN = 0
Const KXMTIMEZONE_TYPE_UTC     = 1
Const KXMTIMEZONE_TYPE_POS     = 2
Const KXMTIMEZONE_TYPE_NEG     = 3

' Field feature options
Const KXMFIELD_GET_SCHEMA_FIELDS = 1

' Field flags
Const KXMFIELD_FLAG_ROOT          = 1
Const KXMFIELD_FLAG_ARRAY         = 2
Const KXMFIELD_FLAG_GROUP         = 4
Const KXMFIELD_FLAG_DEFAULT_VALUE = 8
Const KXMFIELD_FLAG_UNION         = 16
Const KXMFIELD_FLAG_XMLELEM       = 32
Const KXMFIELD_FLAG_XMLATTR       = 64
Const KXMFIELD_FLAG_XMLDOC        = 128

%>
